<?php
date_default_timezone_set('America/Lima');
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, PATCH, PUT, DELETE, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, X-Auth-Token, Authorization');
session_start();
try{
	$response_json	=array('success'=>false, 'num_rows'=>-1, 'rows'=>array(), "messages"=>"Estas intentando algo inusual en el sistema");
	require_once("./class/GLibfunciones.php");
	$OConex = new GConector();
	$init_stmt=$OConex->stmt_init();
	$OCliPlan = new GCliPlan();

	$data = json_decode(file_get_contents('php://input'));

    $response = "";

	switch($_GET['oper']){
		case 'listar':
			$sql=$OCliPlan->lista();
			if(!$init_stmt->prepare($sql))
				throw new GException("Vaya! ocurrio un problema en el sistema.<br/>Consulte con el Soporte Tecnico", $OConex->error, $OConex->errno);		
			$init_stmt->execute();
			$result=$init_stmt->get_result();
			$response_json['success']=true;
			$response_json['totalItemCount']=$result->num_rows;
			if($response_json['totalItemCount']==0)
				break;			
			$i=0;
			while($rows=$result->fetch_assoc()){
				array_push($response_json['rows'], array_merge($rows, array("item"=>++$i)));
			}
            $response = $response_json['rows'];  
		break;
		case 'guardar':
           
			if(!isset($data->id))
				break;
			
			$sql=$OCliPlan->modificar();

			$data->status = '1';
			if(!$init_stmt->prepare($sql))
				throw new GException("Vaya! ocurrio un problema en el sistema.<br/>Consulte con el Soporte Tecnico", $OConex->error, $OConex->errno);
				if(!$init_stmt->bind_param('sisi', $data->status,$data->mesesContrato,$data->feActivacion,$data->id))
				throw new GException("Vaya! ocurrio un problema en el sistema.<br/>Consulte con el Soporte Tecnico", $OConex->error, $OConex->errno);
			$init_stmt->execute();
			$response_json['success']=true;
			$response_json['affected_rows']=$init_stmt->affected_rows;
			$response_json['messages']=($response_json['affected_rows']==1)?"Se registro con éxito los datos del correctamente":"No se realizaron cambios en el registro de pago";
           
			if($response_json['affected_rows']==1){
				$usuario = $data->noCorreo;
				$password = "admin123";
				$web= "https://aula.escuelalacasitadevalentina.pe/";
				$fecha=date("Y-m-d H:i:s");  


				$to = $data->noCorreo;
				$from = 'info@escuelalacasitadevalentina.pe';
				$from_name = 'LA CASITA DE VALENTINA';
				
				
				
				$subject = 'Activación de Cuenta - Pago Conforme'; 
					  //email body content
					  $htmlContent =sprintf('<div>
					  <table border="0" width="600" cellspacing="0" align="center">
					  <tbody>
					  <tr>
					  <td>
					  <p style="text-align: left; font-size: 15px; font-family: Verdana,Geneva,sans-serif; color: #234c9f; margin: 0; line-height: 21px;">Generaci&ograve;n de Usuario</p>
					  <p style="text-align: left; font-size: 15px; font-family: Verdana,Geneva,sans-serif; color: #234c9f; margin: 0; line-height: 21px;">Estimado:%s</p>
					  </td>
					  </tr>
					  <tr>
					  <td>
					  <p style="text-align: left; font-size: 13px; font-family: Verdana,Geneva,sans-serif; color: #234c9f; margin: 0; line-height: 21px;">Le Informamos a usted que su cuenta fue activado correctamente</p>
					  </td>
					  </tr>
					  <tr>
					  <td>
					  <div style="text-align: justify; font-size: 15px; padding: 5px; line-height: 18px; font-family: Verdana,Geneva,sans-serif; color: #7c7c7c;">
					  <div>
					  <p>Usuario: %s</p>
					  <p>Password: %s</p>
					  <p>Web: %s</p>
					  <p>Fecha Emisi&ograve;n: %s</p>
					  </div>
					  </div>
					  </td>
					  </tr>
					  <tr>
					  <td>
					  <p style="text-align: left; font-size: 13px; font-family: Verdana,Geneva,sans-serif; color: #234c9f; margin: 0; line-height: 21px;">Saludos Atentamente.</p>
					  </td>
					  </tr>
					  </tbody>
					  </table>
					  <table border="0" width="600" cellspacing="0" cellpadding="0" align="center">
					  <tbody>
					  <tr style="list-style: none; color: #234c9f; font-family: Verdana,Geneva,sans-serif; font-size: 14px; text-align: center; padding: 0px;">
					  <td colspan="5" align="center" height="40"><a target="_blank" rel="noopener"><img src="https://imageshack.com/i/pmxyhgVHp" alt="IHAMH" border="0" /></a></td>
					  </tr>
					  <tr style="list-style: none; color: #234c9f; font-family: Verdana,Geneva,sans-serif; font-size: 14px; text-align: center; padding: 0px;">
					  <td colspan="5" align="center" height="40"><span style="font-family: Verdana,Geneva,sans-serif; text-align: center; font-size: 12px; letter-spacing: 12px; color: #9d9797;"><a href="https://pag.escuelalacasitadevalentina.pe/" target="_blank" rel="noopener">www.escuelalacasitadevalentina.pe</a></span></td>
					  </tr>
					  </tbody>
					  </table>
					  <hr />
					  <div><span style="color: #555555; font-family: Helvetica, sans-serif; font-size: xx-small;">Este correo fue enviado por <strong>IAMH</strong></span></div>
					  <div><span style="color: #555555; font-family: Helvetica, sans-serif; font-size: xx-small;"><a href="https://pag.escuelalacasitadevalentina.pe/" target="_blank" rel="noopener">www.escuelalacasitadevalentina.pe</a><br /> </span></div>
					  <img style="display: none!important; max-height: 0; width: 0; line-height: 0;" alt="" width="0" height="0" border="0" /></div>',  $data->noCliente,$usuario,$password,$web,$fecha);
				//call multi_attach_mail() function and pass the required arguments

				//$send_email = multi_attach_mail($to,$subject,$htmlContent,$from,$from_name);
				$send_email = envio_correo($to,$subject,$htmlContent,$from,$from_name, $data->noCliente);
				$send_email?true:false;
				if ($send_email==true) {
					$response_json['message']="<h4>El correo se ha Enviado Exitosamente al Destinatario $data->noCliente </h4>";
					$response_json['success']=true;
				}else{
					$response_json['message']="<h4>El Envio del Correo ha Fallado Consulte con Soporte Tecnico.</h4>";
					$response_json['success']=false;
				}
			}


			$response = $response_json;  
		break;	
		case 'eliminar':
			if(!isset($data))
				break;
			
			$sql=$OCliPlan->modificar();

			$status = '0';
			if(!$init_stmt->prepare($sql))
				throw new GException("Vaya! ocurrio un problema en el sistema.<br/>Consulte con el Soporte Tecnico", $OConex->error, $OConex->errno);
			if(!$init_stmt->bind_param('si', $status,$data))
				throw new GException("Vaya! ocurrio un problema en el sistema.<br/>Consulte con el Soporte Tecnico", $OConex->error, $OConex->errno);
			$init_stmt->execute();
			$response_json['success']=true;
			$response_json['affected_rows']=$init_stmt->affected_rows;
			$response_json['messages']=($response_json['affected_rows']==1)?"Se registro con éxito los datos del correctamente":"No se realizaron cambios en el registro Departamento";
           
			$response = $response_json;   
		break;
    }
	echo json_encode($response);
}catch(Exception $e){
	echo $e->getOutMsg();
}
?>